Bug 1270607 - Setting "Double-click to open files and folders" is not applied on the desktop
Setting "Double-click to open files and folders" is not applied on the desktop
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: plasma-desktop (Show other bugs)
22
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-11 16:12 EDT by Marcel
Modified: 2015-12-17 15:44 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-17 15:44:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel 2015-10-11 16:12:43 EDT
Description of problem:
If you set change the settings in Dolphin to "Double-click to open files and folders", it only works in Dolphin itself, but is not applied on the desktop (the folder view widget).

Version-Release number of selected component (if applicable):
KDE Plasma 5.4.2
Dolphin 15.04

How reproducible:
Always

Steps to Reproduce:
1.Open Dolphin Settings
2. In "Navigation" set Mouse to "Double-click to open files and folders" (Single-click is default).
3. Single-click on a destop icon.

Actual results:
The program or folder you clicked will open.

Expected results:
The settings should have also applied for desktop symbols, so it a signle-click should only mark them like Dolphin does.

Additional info:
It behaved as expected in Fedora 21, which ships with KDE Plasma 4.
Comment 1 Marcel 2015-12-17 15:44:44 EST
It behaves as expected in Fedora 23 again, as there are no such setting in the dolphin settings anymore. I found the "mouse behavior"-setting in "system settings" > "Input devices" here.
I'll close this bug.

Note You need to log in before you can comment on or make changes to this bug.